Glasgow Warriors vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Finale
49–0

Cronaca
Glasgow Warriors batte Dragons RFC 49-0 a Glasgow (Scotstoun Stadium) sabato 11 ottobre 2025 (United Rugby Championship, 3ª giornata).
Testo generato automaticamente dai dati della partita; aggiornato con i risultati.
Precedenti
7
Vittorie Glasgow Warriors (78%)
0
Pareggi (0%)
2
Vittorie Dragons RFC (22%)
Ultimi 9 confronti, dal dicembre 2020
Vittoria più larga di Glasgow Warriors
49–0
11 ott 2025
Vittoria più larga di Dragons RFC
26–17
21 mar 2021
Ultimi 5 confronti
- 11 ott 2025 · United Rugby ChampionshipGlasgow Warriors49Dragons RFC011 ott 2025Glasgow Warriors49–0Dragons RFCUnited Rugby Championship
- 16 feb 2025 · United Rugby ChampionshipDragons RFC20Glasgow Warriors4516 feb 2025Dragons RFC20–45Glasgow WarriorsUnited Rugby Championship
- 17 feb 2024 · United Rugby ChampionshipGlasgow Warriors40Dragons RFC717 feb 2024Glasgow Warriors40–7Dragons RFCUnited Rugby Championship
- 1 apr 2023 · Challenge CupGlasgow Warriors73Dragons RFC331 apr 2023Glasgow Warriors73–33Dragons RFCChallenge Cup
- 28 gen 2023 · United Rugby ChampionshipDragons RFC28Glasgow Warriors4228 gen 2023Dragons RFC28–42Glasgow WarriorsUnited Rugby Championship
Formazioni
Età media
27.9
Età media
26.1
Glasgow Warriors
- 1Rory Sutherland(34)
- 2Gregor Hiddleston(24)
- 3Fin Richardson(28)
- 4Alexander Craig(29)
- 5Scott Cummings(29)
- 6Gregor Brown(25)
- 7Macenzzie Duncan(23)
- 8Euan Ferrie(25)
- 9George Horne(31)
- 10Adam Hastings(30)
- 11Jamie Dobie(25)
- 12Sione Tuipulotu(29)
- 13Ollie Smith(26)
- 14Kyle Steyn(32)
- 15Josh McKay(29)
Panchina
- 16Johnny Matthews(33)
- 17Patrick Schickerling(28)
- 18Murphy Walker(26)
- 19Alex Samuel(23)
- 20Max Williamson(24)
- 21Angus Fraser(26)
- 22Ben Afshar(23)
- 23Dan Lancaster(25)
Dragons RFC
- 1Rodrigo Martinez(28)
- 3Dillon Lewis(30)
- 4Levi Douglas(31)
- 5Seb Davies(30)
- 6Ryan Woodman(22)
- 7Shane Lewis-Hughes(29)
- 8Mackenzie Martin(22)
- 9Che Hope(23)
- 11David Richards(27)
- 12Harri Ackerman(21)
- 13Aneurin Owen(26)
- 14Fine Inisi(28)
- 15Huw Anderson(22)
Panchina
- 16James Benjamin(32)
- 17Dylan Kelleher-Griffiths(23)
- 18Christian Coleman(28)
- 19Matthew Screech(33)
- 20Harry Beddall(21)
- 21Niall Armstrong(27)
- 22Tinus De Beer(30)
- 23Rio Dyer(26)